<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.entaxy.platform.integration</groupId>
        <artifactId>applications</artifactId>
        <version>1.10.1</version>
    </parent>
    <groupId>ru.entaxy.platform.integration.applications</groupId>
    <artifactId>application-management</artifactId>
    <packaging>bundle</packaging>
    <name>ENTAXY :: PLATFORM :: INTEGRATION :: APPLICATIONS :: MANAGEMENT</name>
    <description>ENTAXY :: PLATFORM :: INTEGRATION :: APPLICATIONS :: MANAGEMENT</description>

    <properties>
        <bundle.osgi.export.pkg>ru.entaxy.platform.integration.applications.management</bundle.osgi.export.pkg>
        <bundle.osgi.private.pkg>ru.entaxy.platform.integration.applications.management.impl</bundle.osgi.private.pkg>
    </properties>

    <dependencies>

        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.core.management</groupId>
            <artifactId>object-management</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.service.component.annotations</artifactId>
            <version>1.4.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.felix</groupId>
            <artifactId>org.apache.felix.scr</artifactId>
            <version>2.1.20</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>base-support</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>management-core</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.platform.integration.applications</groupId>
            <artifactId>application-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.platform.integration.applications</groupId>
            <artifactId>application-impl</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>${commons-io.version}</version>
        </dependency>
    </dependencies>

</project>
